Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface SubgraphNode

All Superinterfaces:
  Iterable<Location>, Node

    public interface SubgraphNode

extends Node

An extended `Node` that includes the ability to get nodes in the `subgraph` relative to this node.

Method Summary
`SubgraphNode` | `getNode(Name childName)` Get the node at the supplied path that is relative to this node.
`SubgraphNode` | `getNode(Path.Segment childSegment)` Get the node at the supplied path that is relative to this node.
`SubgraphNode` | `getNode(Path relativePath)` Get the node at the supplied path that is relative to this node.
`SubgraphNode` | `getNode(String childName)` Get the node at the supplied path that is relative to this node.

Methods inherited from interface org.modeshape.graph.Node
`getChildren, getChildren, getChildrenSegments, getExpirationTime, getGraph, getLocation, getProperties, getPropertiesByName, getProperty, getProperty, hasChildren`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getNode

    SubgraphNode getNode(String childName)

  Get the node at the supplied path that is relative to this node.

  Parameters:
    `childName` - the name of the child node
  Returns:
    the node, or null if the node is not `included` in these results

### getNode

    SubgraphNode getNode(Name childName)

  Get the node at the supplied path that is relative to this node.

  Parameters:
    `childName` - the name of the child node
  Returns:
    the node, or null if the node is not `included` in these results

### getNode

    SubgraphNode getNode(Path.Segment childSegment)

  Get the node at the supplied path that is relative to this node.

  Parameters:
    `childSegment` - the segment for the immediate child of this node
  Returns:
    the node, or null if the node is not `included` in these results

### getNode

    SubgraphNode getNode(Path relativePath)

  Get the node at the supplied path that is relative to this node.

  Parameters:
    `relativePath` - the name that makes up a relative path to the node that is an immediate child of the `root`
  Returns:
    the node, or null if the node is not `included` in these results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.